%define		php_name	php%{?php_suffix}
%define		modname	bz2
%define		status		stable
Summary:	%{modname} - A bzip2 management system
Summary(pl.UTF-8):	%{modname} - Zarządzanie plikami bzip2
Name:		%{php_name}-pecl-%{modname}
Version:	1.0
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f6af3f931c582c90417177b66197f9cd
URL:		http://pecl.php.net/package/bz2/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	bzip2-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{modname} is an extension to create and parse bzip2 compressed data.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
%{modname} jest rozszerzeniem udostępniającym obsługę danych
skompresowanych do formatu bzip2.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-bz2.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 7931405
- release 8 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 055d7de
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> 50e66a1
- release 7

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 755efa8
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ee4de1e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 78c0a0f
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 4a7a639
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 88dae23
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 412eb4f
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 963cc9c
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 29620e0
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 410986e
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 2c7e818
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 6fb8034
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 00afe69
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> aca098e
- full conf.d support and unifications

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 4fec108
- fixed english information about status of the package (also s/PEAR/PECL/)

* Wed Oct 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 27f98f8
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> a46f29d
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> b535799
- more specific URL

